// #autoload
// #name = HudPopup
// #category = ilys' Scripts

$PopUpWeaponsHudDelay = 2000;

$PopUpWeaponsHud = false;

$RemoveInvHud = false;
$RemoveWeapHud = false;
$RemoveBackpackHud = false;

package hudPopUp
{
   function clientCmdSetWeaponsHudActive(%slot, %ret, %vis)
   {
      parent::clientCmdSetWeaponsHudActive(%slot, %ret, %vis);
      if(!$PopUpWeaponsHud) return;
      if(isEventPending($HudPopUpWeaponSchedule)) cancel($HudPopUpWeaponSchedule);
      canwephud.setVisible(true);
      $HudPopUpWeaponSchedule = canwephud.schedule($PopUpWeaponsHudDelay, setVisible, false);
   }
   
   function addMessageHudLine(%text)
   {
      if(strStr(%text, "\c3ROLE CHANGE:  \c4") != -1) return;
      if(strStr(%text, "Inventory set") != -1) return;
      if(strStr(%text, "Cannot place beacon.") != -1) return;
      if(strStr(%text, "\c0You picked up a repair kit.") != -1) return;
      if(strStr(%text, "\c2Repair Kit Used.") != -1) return;
      if(strStr(%text, "\c2") != -1 && strStr(%text, "flag") != -1) return;
      if(strStr(%text, "\c1You can't pass to yourself!") != -1) return;
      parent::addMessageHudLine(%text);
   }
   
   function DispatchLaunchMode()
   {
      if($RemoveWeapHud) playGui.remove(weaponsHud);
      if($RemoveInvHud) playGui.remove(InventoryHud);
      if($RemoveBackpackHud) playGui.remove(backPackFrame);
      parent::DispatchLaunchMode();
   }

};
activatePackage(hudPopUp);